=== debian/control ===
Source: javacc4
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 ant,
 ant-optional,
 debhelper (>= 11),
 default-jdk,
 docbook-to-man,
 javacc,
 junit,
 libxalan2-java,
 maven-repo-helper
Standards-Version: 4.1.4
Vcs-Git: https://anonscm.debian.org/git/pkg-java/javacc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/javacc.git
Homepage: http://javacc.org

Package: javacc4
Architecture: all
Depends: default-jre-headless (>= 2:1.5) | java5-runtime-headless, ${misc:Depends}
Suggests: javacc4-doc
Description: Parser generator for use with Java
 Java Compiler-Compiler (JavaCC) is (according to sun)
 "the most popular parser generator" for use with Java [tm]
 applications.
 .
 A parser generator is a tool that reads a grammar specification
 and converts it to a Java program that can recognize matches to
 the grammar. In addition to the parser generator itself, JavaCC
 provides other standard capabilities related to parser
 generation such as tree building (via a tool called JJTree
 included with JavaCC), actions, debugging, etc.

Package: javacc4-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, default-jdk-doc
Suggests: javacc4
Description: Documentation for the JavaCC Parser Generator
 Documentation and examples for JavaCC parser generator.
 .
 Java Compiler-Compiler (JavaCC) is (according to sun)
 "the most popular parser generator" for use with Java [tm]
 applications.
 .
 A parser generator is a tool that reads a grammar specification
 and converts it to a Java program that can recognize matches to
 the grammar. In addition to the parser generator itself, JavaCC
 provides other standard capabilities related to parser
 generation such as tree building (via a tool called JJTree
 included with JavaCC), actions, debugging, etc.
