=== debian/watch ===
version=4
opts="mode=git, repack, compression=xz, uversionmangle=s/(\d)(\d)/$1.$2/g" \
https://github.com/javacc/javacc .*/release_(40)
